<?php if(! defined('BASEPATH')) exit('No direct script access allowed');


require 'vendor/autoload.php';
use Aws\Ses\SesClient;
use Aws\Exception\AwsException;
class Aws_mail extends CI_Controller {



    public function __construct()

	{

        parent::__construct(); 

		$this->load->model(array('email_model','user_model'));      

		date_default_timezone_set('Asia/Calcutta');	

	}

	

	public function index()
	{		
		$params = array(
		'credentials'=> array(
		'key'=>'AKIARLLWJIFT5GUXU6EQ',
		'secret'=>'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',
		),
		'region'=>'us-east-1',
		'version'=>'latest'
		);
		$SesClient = new SesClient($params);

		$result = $SesClient->verifyEmailIdentity([
	        'EmailAddress' => 'shiv@innctech.in',
	    ]);
	    //var_dump($result); die;

		// Replace sender@example.com with your "From" address.
		// This address must be verified with Amazon SES.
		$sender_email = 'vishal@innctech.in';

		// Replace these sample addresses with the addresses of your recipients. If
		// your account is still in the sandbox, these addresses must be verified.
		$recipient_emails = ['phpvishal1994@gmail.com'];

		// Specify a configuration set. If you do not want to use a configuration
		// set, comment the following variable, and the
		// 'ConfigurationSetName' => $configuration_set argument below.
		$configuration_set = 'ConfigSet';

		$subject = 'Amazon SES test (AWS SDK for PHP)';
		//$plaintext_body = 'This email was sent with Amazon SES using the AWS SDK for PHP.' ;
		$html_body =  '<h1>AWS Amazon Simple Email Service Test Email</h1>'.
		              '<p>This email was sent with <a href="https://aws.amazon.com/ses/">'.
		              'Amazon SES</a> using the <a href="https://aws.amazon.com/sdk-for-php/">'.
		              'AWS SDK for PHP</a>.</p>';
		$char_set = 'UTF-8';

		try {
		    $result = $SesClient->sendEmail([
		        'Destination' => [
		            'ToAddresses' => $recipient_emails,
		        ],
		        'ReplyToAddresses' => [$sender_email],
		        'Source' => $sender_email,
		        'Message' => [
		          'Body' => [
		              'Html' => [
		                  'Charset' => $char_set,
		                  'Data' => $html_body,
		              ],
		              /*'Text' => [
		                  'Charset' => $char_set,
		                  'Data' => $plaintext_body,
		              ],*/
		          ],
		          'Subject' => [
		              'Charset' => $char_set,
		              'Data' => $subject,
		          ],
		        ],
		    
		    ]);
		    $messageId = $result['MessageId'];
		    echo("Email sent! Message ID: $messageId"."\n");
		} catch (AwsException $e) {
		    // output error message if fails
		    echo "<pre>";
		    print_r($e->getMessage());
		    echo("The email was not sent. Error message: ".$e->getAwsErrorMessage()."\n");
		    echo "\n";
		}
	}

	function get_statistics()
	{
		$params = array(
		'credentials'=> array(
		'key'=>AWS_SECRET_ID,
		'secret'=>AWS_SECRET_KEY,
		),
		'region'=>'us-east-1',
		'version'=>'latest'
		);

		$client = SesClient::factory($params);
		/*=============================*/
		/*$result = $client->getSendQuota([
			'Max24HourSend' => 200,
		    'MaxSendRate' => 1,
		    'SentLast24Hours' => 1,
			]);*/
		/*======================*/	
		/*$result = $client->listIdentities([
		    'IdentityType' => 'EmailAddress',
		    'MaxItems' => 123,
		    'NextToken' => '',
		]);*/
		/*=======================================*/
		//$result = $client->SendDataPoint();
		/*=============================*/
		
		//echo "<pre>";
		//print_r($result);
		try {
		     $result = $client->getSendStatistics();
			 $data = $result['SendDataPoints'];
			$deliveryattempts=$bounces=$complaints=$rejects=0;
			$act_date = ""; 
			 for ($i=0; $i < count($data); $i++) 
			 { 
			 	$timestamp = $data[$i]['Timestamp'];
				$time = "";
				$cur_time = date('Y-m-d');
				foreach ($timestamp as $key => $value) 
				{
					$act_date = $value;
					$time = date('Y-m-d',strtotime($value));
				 	break;
				}
				if($cur_time==$time)
				{
					$deliveryattempts += $data[$i]['DeliveryAttempts'];
					$bounces += $data[$i]['Bounces'];
					$complaints += $data[$i]['Complaints'];
					$rejects += $data[$i]['Rejects'];	
				}	
			 }
			 $this->user_model->insert_data('send_mail_activity',array('activity_date'=>$act_date,'deliveryattempts'=>$deliveryattempts,'bounces'=>$bounces,'complaints'=>$complaints,'rejects'=>$rejects));
			echo "record save successfully.";

		} catch (Exception $e) {
		     echo($e->getMessage()."\n");
		}
	}
	







} // End of the controller