<!DOCTYPE html>

<html class="no-js sidebar-large">
<!--<![endif]-->

<head>

<!-- BEGIN META SECTION -->

<meta charset="utf-8">
<title>Forgot Password</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta content="" name="description" />
<meta content="themes-lab" name="author" />
<link rel="shortcut icon" href="<?php echo base_url()?>assets/img/favicon.png">

<!-- END META SECTION -->

<!-- BEGIN MANDATORY STYLE -->

<link href="<?php echo base_url()?>assets/css/icons/icons.min.css" rel="stylesheet">
<link href="<?php echo base_url()?>assets/css/bootstrap.min.css" rel="stylesheet">
<link href="<?php echo base_url()?>assets/css/plugins.min.css" rel="stylesheet">
<link href="<?php echo base_url()?>assets/css/style.min.css" rel="stylesheet">
<link href="#" rel="stylesheet" id="theme-color">

<!-- END  MANDATORY STYLE -->

<!-- BEGIN PAGE LEVEL STYLE -->

<link href="<?php echo base_url()?>assets/css/animate-custom.css" rel="stylesheet">

<!-- END PAGE LEVEL STYLE -->

<script src="<?php echo base_url()?>assets/plugins/modernizr/modernizr-2.6.2-respond-1.1.0.min.js"></script>
</head>

<body class="login fade-in" data-page="login">

<!-- BEGIN LOGIN BOX -->

<div class="container" id="login-block">
  <div class="row">
    <div class="col-sm-6 col-md-4 col-sm-offset-3 col-md-offset-4">
      <div class="login-box clearfix animated flipInY">
        <div class="page-icon animated bounceInDown"> <img src="<?php echo base_url()?>assets/img/account/user-icon.png" alt="Key icon"> </div>
        
        <!--<div class="login-logo">

                        <a href="#?login-theme-3">

                            <img src="assets/img/account/login-logo.png" alt="Company Logo">

                        </a>

                    </div>-->
        
        <hr>
        <div class="login-form"> 
          
          <!-- BEGIN ERROR BOX -->
          
          <?php if($msg or validation_errors()) { ?>
          <div class="alert alert-danger"> <?php echo $msg; echo "<br/>". validation_errors();?> </div>
          <?php } ?>
          
          <!-- END ERROR BOX --> 
          
          <?php echo form_open(base_url('user/forgot_password')); ?>
          <input type="email" placeholder="Enter email id." name="email" value="" maxlength="50" class="input-field form-control user" required />
          <button type="submit" class="btn btn-login">Reset</button>
          </form>
        </div>
         <div style="float:right; padding-right:15px;">                       
			<a href="<?php echo site_url("user/login"); ?>" style="font-size:18px; font-weight:bold" >Login</a> 
        </div>
      </div>
    </div>
  </div>
</div>

<!-- END LOCKSCREEN BOX --> 

<!-- BEGIN MANDATORY SCRIPTS --> 

<script src="<?php echo base_url()?>assets/plugins/jquery-1.11.js"></script> 
<script src="<?php echo base_url()?>assets/plugins/jquery-migrate-1.2.1.js"></script> 
<script src="<?php echo base_url()?>assets/plugins/jquery-ui/jquery-ui-1.10.4.min.js"></script> 
<script src="<?php echo base_url()?>assets/plugins/jquery-mobile/jquery.mobile-1.4.2.js"></script> 
<script src="<?php echo base_url()?>assets/plugins/bootstrap/bootstrap.min.js"></script> 
<script src="<?php echo base_url()?>assets/plugins/jquery.cookie.min.js" type="text/javascript"></script> 

<!-- END MANDATORY SCRIPTS --> 

<!-- BEGIN PAGE LEVEL SCRIPTS --> 

<script src="<?php echo base_url()?>assets/plugins/backstretch/backstretch.min.js"></script> 
<script src="<?php echo base_url()?>assets/js/account.js"></script> 

<!-- END PAGE LEVEL SCRIPTS -->

</body>
</html>
