<?php if(! defined('BASEPATH')) exit('No direct script access allowed');
require 'vendor/autoload.php';
use Aws\Ses\SesClient;
use Aws\Exception\AwsException;
class Cron extends CI_Controller {
	public function __construct()
	{
		parent::__construct(); 
		$this->load->model(array('email_model'));      
		date_default_timezone_set('Asia/Calcutta');	
	}
	
	public function index()
	{		
		
		//exit(INTL_ICU_VERSION);
		$this->load->library('Swift_required');
		$this->load->library('Classes/Swift/swift_smtptransport');
		$this->db->select("*");
		$this->db->limit(100, 0);
		//$this->db->limit(1, 0);
		$this->db->from("publish_mail_by_cron");
		$this->db->where(array("publish_mail_by_cron.status"=>"0"));
		$this->db->order_by("publish_mail_by_cron.id","desc");
		$subscribers = $this->db->get()->result_array();
		//echo "<pre>";
		//print_r($subscribers);die;	
		echo date('d-m-Y H:i:s');
		if($subscribers)
		{
			$body = $subscribers[0]["body"];
			$subject = $subscribers[0]["subject"];				
			
			//Spark Credentials
			$transport = $this->swift_smtptransport->newinstance('smtp.sparkpostmail.com', 587, 'tls');		
			$transport->setUsername('SMTP_Injection');
			$transport->setPassword("c2c76dbfedada90ce5aeb69c27bec55c9bef1ada");
			$swift = Swift_Mailer::newInstance($transport);
			
			$uid=0;		
			$error_count =0;
			$mailcount=0;
			foreach($subscribers as $row)
			{	//echo "$mailcount";
				try 
				{	
					$pwd="b1de22ee7a88b2cc8502de323b4f83ae2cc8fb5f";// For WJAHR 
					if(trim($row["from_emailid"]) == "editor@ijmpronline.com")//editor@ijmpronline.com
					{
						$pwd="";// For IJMPR 
					}
					$transport->setUsername('SMTP_Injection');
					$transport->setPassword($pwd);
					$swift = Swift_Mailer::newInstance($transport);			
					$from = array(trim($row["from_emailid"]) =>'');
					//$from = "vishal@innctech.in";
					$to = array($row["to_emailid"]  => $row["to_name"]);
					//$to = array($row["to_emailid"]);
					$text = "";
					
					$message = new Swift_Message($row["subject"]);
					$message->setFrom($from);
					$message->setBody($row["body"], 'text/html');
					$message->setTo($to);
					$message->addPart($text, 'text/plain');
					$ses_response = "";
					$mail_res="";
					
					if($row["from_emailid"]=='editor@wjpmr.com'){
						$mail_res = $this->aws_send_mail($row["from_emailid"],array($row["to_emailid"]),$row["body"],$row["subject"]);
						//die;
					}else{
						$mail_res = $this->sparkpost_send_mail($row["from_emailid"],array($row["to_emailid"]),$row["body"],$row["subject"]);
					}
					$mail_res = 1;
						if ($mail_res) // true or false 
						{
							$ses_response = "request : Sent";
							$this->db->where("id", $row["id"]);
							$this->db->update("publish_mail_by_cron", array("status"=>1, "mail_response"=>$ses_response,"createdon" => date("Y-m-d H:i:s")));
							$this->db->where("id", $row["id"]);
							$this->db->delete("publish_mail_by_cron");
							//echo "mail sent";die;
						} 
						else
						{
							$error_count++;
							$ses_response = "error : error";
						}
						$mailcount++;
						if($error_count == 5)
						{
							//if get any error send email to admin
							$sub = "Error : On send email by aws ses.";
							$m_body = "<!DOCTYPE html>
							<html>
							<head>
							</head>
							<body>
							<p>hI,</p>
							<p>Geting error when sendign email by ".$row["from_emailid"]."</p>
							<p>Regards</p>
							<p>vishal sharma</p>
							</body>
							</html>";
							$this->aws_send_mail("vishal@innctech.in",array("info@innctech.com"),$m_body,$sub);
							break;
						}
						if($mailcount%14 ==0)
						{
							sleep(1);
						}
					//}
					} 
					catch (Exception $e)
					{
						echo "<pre>";print_r($e->getMessage());die;
					}
				}
			}
			
			echo '<br>'.date('d-m-Y H:i:s');
		}
		private function aws_send_mail($mail_from,$mail_to,$mail_body,$mail_sub)
		{
			$params = array(
				'credentials'=> array(
					'key'=>AWS_SECRET_ID,
					'secret'=>AWS_SECRET_KEY,
				),
				'region'=>'us-east-1',
				'version'=>'latest'
			);
			$SesClient = new SesClient($params);
		/*$result = $SesClient->verifyEmailIdentity([
	        'EmailAddress' => 'omprks@yahoo.com',
	    ]);
	    var_dump($result); die;*/
		// Replace sender@example.com with your "From" address.
		// This address must be verified with Amazon SES.
	    $sender_email = $mail_from;
		//echo $sender_email;die;
		// Replace these sample addresses with the addresses of your recipients. If
		// your account is still in the sandbox, these addresses must be verified.
	    $recipient_emails = $mail_to;
		//$configuration_set = 'ConfigSet';
	    $subject = $mail_sub;
		//$plaintext_body = 'This email was sent with Amazon SES using the AWS SDK for PHP.' ;
	    $html_body =  $mail_body;
	    $char_set = 'UTF-8';
	    try {
	    	$result = $SesClient->sendEmail([
	    		'Destination' => [
	    			'ToAddresses' => $recipient_emails,
	    		],
	    		'ReplyToAddresses' => [$sender_email],
	    		'Source' => $sender_email,
	    		'Message' => [
	    			'Body' => [
	    				'Html' => [
	    					'Charset' => $char_set,
	    					'Data' => $html_body,
	    				],
		              /*'Text' => [
		                  'Charset' => $char_set,
		                  'Data' => $plaintext_body,
		              ],*/
		          ],
		          'Subject' => [
		          	'Charset' => $char_set,
		          	'Data' => $subject,
		          ],
		      ],
		      
		  ]);
	    	//echo "<result>";
	    	//print_r($result);die;
	    	$messageId = $result['MessageId'];
	    	if(!empty($messageId))
	    	{
	    		//echo "mail sent";die;
	    		return true;
	    	}
	    	else
	    	{
	    		//echo "mail not sent";die;
	    		return false;
	    	}
		    //echo("Email sent! Message ID: $messageId"."\n");
	    } catch (AwsException $e) {
		    // output error message if fails
	    	
		    //echo("catch The email was not sent. Error message: ".$e->getAwsErrorMessage()."\n");
		    //echo "\n";die;
		    return false;
		}
		
	}	
	
	private function sparkpost_send_mail($mail_from,$mail_to,$mail_body,$mail_sub)
	{
		$this->load->library('Swift_required');
		$this->load->library('Classes/Swift/swift_smtptransport');
		
		$response['status'] = false;
		$response['message'] = "";
		
		if(filter_var($mail_to[0], FILTER_VALIDATE_EMAIL)) 
		{
			//Spark Credentials
			$transport = $this->swift_smtptransport->newinstance('smtp.sparkpostmail.com', 587, 'tls');		
			$pwd="c800706df8017f96b399051d510d48e39402fdec";// For ejbps also working for wjert or wjpls
			if(trim($mail_from) == "editor@ejpmr.com")
			{
				$pwd="e656c82f160e2ee9fada75c60b152a29aac2724d";// For ejpmr
			}
			$transport->setUsername('SMTP_Injection');
			$transport->setPassword($pwd);	
			try 
			{	
				$swift = Swift_Mailer::newInstance($transport);
				$text = "";
				$message = new Swift_Message($mail_sub);
				$message->setFrom($mail_from);
				$message->setBody($mail_body, 'text/html');
				$message->setTo($mail_to[0]);
				$message->addPart($text, 'text/plain');
				$ses_response = "";
				if ($recipients = $swift->send($message, $failures))
				{
					//$response['status'] = true;
					return TRUE;
				} 
				else
				{
					return FALSE;
					//$response['status'] = false;
					//$response['message'] = "Email not send to.".$mail_to[0]." From ".$mail_from;
				}
			} 
			catch (Exception $e)
			{
				return FALSE;
				//$response['status'] = false;
				//$response['message'] = "Email not sent to ".$mail_to[0]." sending From ".$mail_from ."[Error :]".$e->getMessage();
			}
		}
		else{
			return FALSE;
			//$response['status'] = false;
			//$response['message'] = "Invalid Email ".$mail_to[0]." sending From ".$mail_from;
		}	
		//return $response;
	}
	
	public function test_email(){
		//editor@wjert.org,editor@wjpls.org working with sparkpost and wjpmr working with aws
		$row["from_emailid"] = "editor@wjpls.org";
		$row["to_emailid"] = "info@innctech.com";
		$row["body"] ="<p>This is testing mail from sparkpost</p>"; 
		$row["subject"] = "Testing spark post email";
		$res = $this->sparkpost_send_mail($row["from_emailid"],array($row["to_emailid"]),$row["body"],$row["subject"]);
		//echo"<pre>";
		//print_r($res);
	}
} // End of the controller