<?php if(! defined('BASEPATH')) exit('No direct script access allowed');

class Test_mail extends CI_Controller {

    public function __construct()
	{
        parent::__construct();
        $this->load->model(array('email_model', 'domain_model', 'template_model'));
        $this->load->helper(array('form', 'url', 'date'));
        $this->load->library('form_validation');
        $this->load->library('session', 'encrypt');
		$this->load->library('template');
		date_default_timezone_set('Asia/Calcutta');	
	}


	
	public function publish_mails_test($sent_mail_id=0,$user_id=0)
	{
		$mailfrom = $this->check_domain_email_is_verified($sent_mail_id,$user_id);
		if($mailfrom=="")
		{
			$this->session->set_flashdata('message', '<div align="left" style="color:red;" id="notify"><span><b>Your emailid in not verified. Please contact your administrator.</b></span></div>');			
			echo "mailfrom";die;
			redirect(site_url('sent_mail/publish_mail_list'));
		}	
		$result['msg']='';
		if($sent_mail_id > 0)
		{
			$this->load->library('swift_required');
		    $this->load->library('Classes/Swift/swift_smtptransport');
			$this->db->select("publish_emails.id, subscribers.name,subscribers.id as send_id, subscribers.email, templates.template, sent_emails.subject");
			//$this->db->limit(600, 0);
			$this->db->from("publish_emails");
			$this->db->join("sent_emails", "sent_emails.id = publish_emails.sent_mail_id");
			$this->db->join("templates", "templates.id = sent_emails.template_id");
			$this->db->join("subscribers", "subscribers.id = publish_emails.subscriber_id");
			$this->db->where(array("publish_emails.sent_status"=>"0", "publish_emails.sent_mail_id" => $sent_mail_id));
			$this->db->order_by("publish_emails.id","asc");
			$subscribers = $this->db->get()->result_array();
			//$mailfrom = $this->session->userdata('useremail');
			$body = $subscribers[0]["template"];
			$sub = $subscribers[0]["subject"];	

			if($sub=="" or $mailfrom=="" or $body=="")
			{	echo "body";die;
				redirect(site_url("user/logout"));
			}
			
			
			$transport = $this->swift_smtptransport->newinstance('smtp.mandrillapp.com', 587);
			$transport->setUsername('info@innctech.com');
			$transport->setPassword('RLTznhmBBPjJhu298Z4oGg');
			$swift = Swift_Mailer::newInstance($transport);

			$uid=0;
			$startfrom =0;
			$mailcount=0;
			$error_count =0;

			foreach($subscribers as $row)
			{	
				$id = base64_encode($row['send_id']);
				$unsubscribe = "<p style='  font-size: 12px; left: 427px; margin: 0 auto; position: absolute;text-align: center;top: 1542px;'>Click hear to <a href='http://innctech.in/innctech_mailer1/user/unsubscribe/".$id."'/>Unsubscribe</a></p>";

				$templete_body = $body.$unsubscribe ;
				try 
				{	
					$from = array($mailfrom =>'');
					$to = array(
					 $row["email"]  => $row["name"]
					);
					$text = "";
					
					$message = new Swift_Message($sub);
					$message->setFrom($from);
					$message->setBody($templete_body, 'text/html');
					$message->setTo($to);
					$message->addPart($text, 'text/plain');
					$ses_response = "";
					if ($recipients = $swift->send($message, $failures))
					{
						// echo 'Message successfully sent!';
						 $ses_response = "request : Sent";
					} 
					else
					{
						$error_count++;
						$ses_response = "error : error";
						 //echo "There was an error:\n";
						// print_r($failures);
					}	
					if($mailcount==0)
					{
						$startfrom =$row["id"];
					}
					$mailcount++;
					$uid=$row["id"];
					$this->email_model->update_publish_mail($uid, array("publish_emails.sent_status" => "1", "publish_emails.last_sent" => $startfrom, "createdon" => date("Y-m-d H:i:s"), "ses_response" => $ses_response));

					if($error_count == 5)
					{
						break;
					}
					/*if($mailcount%5 ==0)
					{
						sleep(1);
					}*/
				 } 
				 catch (Exception $e)
				 {
					 print_r($e);
				 }
			}	

			$this->session->set_flashdata('message', '<div align="left" style="color:green;" id="notify"><span><b>Mail sent to '.$mailcount.' users.</b></span></div>');
		}
		//redirect(site_url('sent_mail/publish_mail_list'));
	
	}
	
	
	
	public function check_domain_email_is_verified($sent_mail_id,$uid)
	{				

		$this->db->select("domains.email_status, domains.domain_email");

		$this->db->from("sent_emails");

		$this->db->join("templates", "sent_emails.template_id = templates.id");		

		$this->db->join("domains", "domains.id = templates.domain_id");

		$this->db->where(array("sent_emails.id"=>$sent_mail_id, "domains.email_status" => 1, "sent_emails.owner" => $uid));

					

		$result = $this->db->get()->row_array();		

	

		if(count($result)>0)

		{

			return $result["domain_email"];

		}

		else

		{

			return "";

		}

				

	}


} // End of the controller