<script src="<?php echo base_url('assets/tinymce/js/tinymce/tinymce.min.js') ?>"></script>

<script>

    tinymce.init({

       

        selector: 'textarea.tiny',

        theme: "modern",

		height:350,

		/*theme_modern_resizing: true,

    	theme_modern_resizing_use_cookie : false,*/

		



		//content_css : "http://wjpps.com/assets/css/stylesheet.css",		



    plugins: [

	   "advlist autolink lists link image charmap print preview hr anchor pagebreak fullpage",

        "searchreplace visualblocks visualchars code fullscreen",

        "insertdatetime media nonbreaking save table contextmenu directionality",

        "emoticons template paste textcolor colorpicker textpattern"

    ],

	

	 paste_retain_style_properties: "color font-size",

    toolbar1: "insertfile undo redo | styleselect | bold italic | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | link image",

    toolbar2: "print preview media | forecolor backcolor emoticons",

   /* image_advtab: true,

    templates: [

        {title: 'Test template 1', content: 'Test 1'},

        {title: 'Test template 2', content: 'Test 2'}

    ]*/

 convert_urls: false

        

    });

</script>



<!-- BEGIN MAIN CONTENT -->



<div id="main-content" class="form-page">

  <div class="page-title">

    <h3 class="col-lg-10"><strong>

    

     <?php if(isset($mail_template))

	  { ?>

		  Edit Template

	  <?php } else { ?>

      Add Template

	  <?php } ?>

     </strong> Details</h3>

    <div class="col-lg-2" style=" margin-top:10px;">

      <a href="<?php echo site_url("mail_template"); ?>" class="btn bg-blue">     

      Templates List	

      </a>

    </div>

  </div>

 

  <form action="" method="post">

    <div class="row">

      <div class="col-md-12">

        <div class="panel panel-default">

          <div class="panel-body">

            <div class="row-fluid">

              <div class="span12">

                <?= $this->session->flashdata('message'); ?>

                <div style="color:#F00">

                  <?php echo $msg; echo "<br/>". validation_errors();?>

                </div>

                <div class="col-lg-6">

                  <div class="form-group">

                    <label class="form-label"><strong>Domain Name*</strong>

                    </label>

                    <select name="domain" id="domain" class="form-control" required="required">                	

					<?php foreach($domains as $row){ ?>

                    <option value="<?php echo $row['id']?>" <?php if(isset($mail_template) and $mail_template["domain_id"]==$row['id']){?> selected="selected" <?php } ?>><?php echo $row['url'];?></option>

                    <?php } ?>

                  </select>

                     

                  </div>

                </div> 

                

                <div class="col-lg-6">

                  <div class="form-group">

                    <label class="form-label"><strong>Status*</strong>

                    </label>

                    <select name="status" id="status" class="form-control" required="required"> 

                    <option value="1" <?php if(isset($mail_template) and $mail_template["is_active"]=='1'){?> selected="selected" <?php } ?>>Active</option> 

                     <option value="0" <?php if(isset($mail_template) and $mail_template["is_active"]=='0'){?> selected="selected" <?php } ?>>Un-Active</option>                 

                  </select>

                     

                  </div>

                </div>               

                               

                <div class="col-lg-12">

                  <div class="form-group">

                    <label class="form-label"><strong>Title* </strong>

                    </label>

                    <input type="text" placeholder="Template Title" class="form-control" name="title" id="title" maxlength="200" value="<?php if(isset($mail_template)) {echo $mail_template["title"];} ?>" required="required"/>

                  </div>

                </div>

                

                 <div class="col-lg-12">

                  <div class="form-group">

                    <label class="form-label"><strong>Template* </strong>

                    </label>

                    <textarea name="mail_template" id="mail_template"  placeholder="Template" class="tiny form-control"><?php if(isset($mail_template)) {echo $mail_template["template"];} ?></textarea>                   

                  </div>

                </div>

                

               

                <div class="col-sm-9 col-sm-offset-3">

                  <div class="pull-right">

                   <input type="hidden" id="hf_template_id" name="hf_template_id" value="<?php if(isset($mail_template)) {echo $mail_template["id"];} ?>" />

                  

                    <button class="btn btn-primary m-b-10" name="btn_submit" onclick="javascript :return(validate_on_submit());">Submit</button>

                    

                  </div>

                </div>

              </div>

            </div>

          </div>

        </div>

      </div>

    </div>

  </form>

</div>

<!-- END MAIN CONTENT -->

